<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateProyectoAgente extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('proyecto_agente')
			->addColumn('proyecto', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('agente', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('fecha', 'date', ['default' => null, 'null' => true])
			->addColumn('comision', 'float', ['default' => 0])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
